=== debian/control ===
Source: ros-humble-canopen-ros2-controllers
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-canopen-402-driver, ros-humble-canopen-interfaces, ros-humble-canopen-proxy-driver, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-canopen-ros2-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-canopen-402-driver, ros-humble-canopen-interfaces, ros-humble-canopen-proxy-driver, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-hardware-interface, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-realtime-tools, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: ros2_control controllers for ros2_canopen functionalities
